# PhasicFlow: triSurface::triangleAccessor Class Reference

triSurface::triangleAccessor Class Reference

## Public Member Functions

INLINE_FUNCTION_H | triangleAccessor (int32 numPoints, deviceViewType1D< realx3 > points, int32 numTrianlges, deviceViewType1D< int32x3 > vertices)
INLINE_FUNCTION_HD | triangleAccessor (const triangleAccessor &)=default
INLINE_FUNCTION_HD triangleAccessor & | operator= (const triangleAccessor &)=default
INLINE_FUNCTION_HD | triangleAccessor (triangleAccessor &&)=default
INLINE_FUNCTION_HD triangleAccessor & | operator= (triangleAccessor &&)=default
INLINE_FUNCTION_HD | ~triangleAccessor ()=default
INLINE_FUNCTION_HD realx3x3 | triangle (int32 i) const
INLINE_FUNCTION_HD realx3x3 | operator() (int32 i) const
INLINE_FUNCTION_HD realx3x3 | operator[] (int32 i) const
INLINE_FUNCTION_HD int32 | numPoints () const
INLINE_FUNCTION_HD int32 | numTrianlges () const

## Protected Attributes

int32 | numPoints_
int32 | numTriangles_
deviceViewType1D< realx3 > | dPoints_
deviceViewType1D< int32x3 > | dVectices_

## Detailed Description

Definition at line 44 of file triSurface.hpp.

## Constructor & Destructor Documentation

## triangleAccessor() [1/3]

INLINE_FUNCTION_H triangleAccessor | ( | int32 | numPoints,
|  | deviceViewType1D< realx3 > | points,
|  | int32 | numTrianlges,
|  | deviceViewType1D< int32x3 > | vertices
| ) |  |

inline

Definition at line 59 of file triSurface.hpp.

## triangleAccessor() [2/3]

INLINE_FUNCTION_HD triangleAccessor | ( | const triangleAccessor & |  | ) |

default

## triangleAccessor() [3/3]

INLINE_FUNCTION_HD triangleAccessor | ( | triangleAccessor && |  | ) |

default

## ~triangleAccessor()

INLINE_FUNCTION_HD ~triangleAccessor | ( |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

INLINE_FUNCTION_HD triangleAccessor& operator= | ( | const triangleAccessor & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD triangleAccessor& operator= | ( | triangleAccessor && |  | ) |

default

## triangle()

INLINE_FUNCTION_HD realx3x3 triangle | ( | int32 | i | ) | const

inline

Definition at line 87 of file triSurface.hpp.

References triSurface::triangleAccessor::dPoints_, and triSurface::triangleAccessor::dVectices_.

Referenced by triSurface::triangleAccessor::operator()(), and triSurface::triangleAccessor::operator[]().

Here is the caller graph for this function:

## operator()()

INLINE_FUNCTION_HD realx3x3 operator() | ( | int32 | i | ) | const

inline

Definition at line 96 of file triSurface.hpp.

References triSurface::triangleAccessor::triangle().

Here is the call graph for this function:

## operator[]()

INLINE_FUNCTION_HD realx3x3 operator[] | ( | int32 | i | ) | const

inline

Definition at line 99 of file triSurface.hpp.

References triSurface::triangleAccessor::triangle().

Here is the call graph for this function:

## numPoints()

INLINE_FUNCTION_HD int32 numPoints | ( |  | ) | const

inline

Definition at line 102 of file triSurface.hpp.

References triSurface::triangleAccessor::numPoints_.

## numTrianlges()

INLINE_FUNCTION_HD int32 numTrianlges | ( |  | ) | const

inline

Definition at line 105 of file triSurface.hpp.

References triSurface::triangleAccessor::numTriangles_.

## Member Data Documentation

## numPoints_

int32 numPoints_

protected

Definition at line 49 of file triSurface.hpp.

Referenced by triSurface::triangleAccessor::numPoints().

## numTriangles_

int32 numTriangles_

protected

Definition at line 51 of file triSurface.hpp.

Referenced by triSurface::triangleAccessor::numTrianlges().

## dPoints_

deviceViewType1D<realx3> dPoints_

protected

Definition at line 53 of file triSurface.hpp.

Referenced by triSurface::triangleAccessor::triangle().

## dVectices_

deviceViewType1D<int32x3> dVectices_

protected

Definition at line 55 of file triSurface.hpp.

Referenced by triSurface::triangleAccessor::triangle().

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/trisurfaceStructure/triSurface.hpp